//---------------------------------------------------------------------------
#ifndef HorizontalH
#define HorizontalH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Dialogs.hpp>
//---------------------------------------------------------------------------
typedef struct  {
    double x, y;
    } nodalposition;

class THorizontalForm : public TForm
{
__published:	// IDE-managed Components
    TGroupBox *Longitude;
    TGroupBox *Lattitude;
    TLabel *Label1;
    TComboBox *TimeZone;
    TLabel *Label2;
    TEdit *FileName;
    TButton *BrowseButton;
    TButton *GoButton;
    TLabel *Label3;
    TEdit *LongDegrees;
    TEdit *LongMinutes;
    TEdit *LongSeconds;
    TLabel *Label4;
    TLabel *Label5;
    TLabel *Label6;
    TLabel *Label7;
    TLabel *Label8;
    TLabel *Label9;
    TEdit *LatDegrees;
    TEdit *LatMinutes;
    TEdit *LatSeconds;
    TButton *HelpButton;
    TSaveDialog *SaveDialog1;
    TCheckBox *DaylightSaving;
    void __fastcall FormCreate(TObject *Sender);
    void __fastcall FormDestroy(TObject *Sender);
    void __fastcall BrowseButtonClick(TObject *Sender);
    void __fastcall HelpButtonClick(TObject *Sender);
    void __fastcall GoButtonClick(TObject *Sender);
private:	// User declarations
    TStringList *DXFFile;
    nodalposition node1;
    nodalposition node2;
    void __fastcall WriteInitialLines(void);
    void __fastcall WriteFinalLines(void);
    void __fastcall CreateLine(nodalposition Node1, nodalposition Node2);
    void __fastcall CreateArc(nodalposition Node1, double Radius, double StartAngle, double FinishAngle);
    void __fastcall CreateText(nodalposition Node1, AnsiString Text, double Angle);
    double __fastcall ExtractAngle(TEdit *Degrees, TEdit *Minutes, TEdit *Seconds);
public:		// User declarations
    __fastcall THorizontalForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE THorizontalForm *HorizontalForm;
//---------------------------------------------------------------------------
#endif
